<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8" />
    <title>Lists relying on WAI-ARIA Roles | WCAG 2.1 Syntax Test Page</title>
    <link rel="stylesheet" type="text/css" media="screen" href="../../../css/unstyled.css" title="unstyled" />
    <link rel="top" href="../../../index.html" title="Accessibility Works: Home page" />
  </head>
  <body>
    <header>
      <h1>Lists relying on <abbr>WAI</abbr>-<abbr>ARIA</abbr> Roles</h1>
    </header>
    <main>
      <h2>Unordered Lists</h2>
      <p><code>ul</code> containing <code>div</code> elements with <code>role=listitem</code> and without end tags:</p>
      <ul>
        <div role="listitem">tea
        <div role="listitem">beer
        <div role="listitem">wine
        <div role="listitem">water
      </ul>

      <p><code>ul</code> containing <code>div</code> elements with <code>role=listitem</code> and with end tags:</p>
      <ul>
        <div role="listitem">books</div>
        <div role="listitem">magazines</div>
        <div role="listitem">newspapers</div>
        <div role="listitem">radio</div>
      </ul>

      <p><code>div</code> with <code>role=list</code> containing <code>div</code> elements with <code>role=listitem</code> and with end tags:</p>
      <div role="list">
        <div role="listitem">nouns</div>
        <div role="listitem">adjectives</div>
        <div role="listitem">adverbs</div>
        <div role="listitem">prepositions</div>
      </div>

      <p><code>div</code> with <code>role=list</code> containing a <code>div</code> without a role;
        list items inside the second <code>div</code> are coded as <code>div role=listitem</code>:
      </p>
      <div role="list">
        <div>
          <div role="listitem">apples</div>
          <div role="listitem">oranges</div>
          <div role="listitem">pears</div>
          <div role="listitem">cherries</div>
        </div>
      </div>

      <h2>Ordered Lists</h2>
      <p><code>ol</code> containing <code>div</code> elements with <code>role=listitem</code> and without end tags:</p>
      <ol>
        <div role="listitem">gold</div>
        <div role="listitem">silver</div>
        <div role="listitem">bronze</div>
        <div role="listitem">cheers</div>
      </ol>

      <p><code>ol</code> containing a <code>div</code> without a role;
        list items inside the second <code>div</code> are coded as <code>div role=listitem</code>:</p>
      <ol>
        <div>
          <div role="listitem">January</div>
          <div role="listitem">February</div>
          <div role="listitem">March</div>
          <div role="listitem">the cruelest month</div>
        </div>
      </ol>

      <p>Normal ordered list for comparison:</p>
      <ol>
        <li>Ordovician–Silurian extinction events</li>
        <li>Late Devonian extinction (375–360 million years ago)</li>
        <li>Permian–Triassic extinction event (375–360 million years ago)</li>
        <li>Triassic–Jurassic extinction event (201.3 million years ago)</li>
        <li>Cretaceous–Paleogene extinction event (66 million years ago)</li>
        <li>Holocene extinction (currently ongoing)</li>
      </ol>
    </main>
  </body>
</html>

